Summary:       C implementation of the Git core methods as a library with a solid API
Name:          libgit2
Version:       1.6.5
Release:       3%{?dist}
License:       GPLv2 with exceptions
URL:           https://libgit2.org/
Source0:       https://github.com/libgit2/libgit2/archive/refs/tags/v%{version}.tar.gz

BuildRequires: gcc cmake ninja-build http-parser-devel libcurl-devel krb5-devel
BuildRequires: openssl-devel pcre2-devel python3 zlib-devel libgit2
Provides:      bundled(libxdiff)

%description
libgit2 is a portable, pure C implementation of the Git core methods provided as a re-entrant
linkable library with a solid API, allowing you to write native speed custom Git applications in any
language with bindings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

find examples -name ".gitignore" -delete -print
sed -i '/-sonline/s/^/#/' tests/libgit2/CMakeLists.txt
rm -vr deps

%build
%cmake \
  -GNinja \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DREGEX_BACKEND=pcre2 \
  -DBUILD_CLI=OFF \
  -DUSE_HTTP_PARSER=system \
  -DUSE_SHA1=HTTPS \
  -DUSE_HTTPS=OpenSSL \
  -DUSE_NTLMCLIENT=OFF \
  -DUSE_SSH=OFF \
  %{nil}
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license COPYING
%{_libdir}/libgit2.so.1.*

%files devel
%doc AUTHORS docs examples README.md
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2.h
%{_includedir}/git2/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-3
- Rebuilt for loongarch release

* Mon Mar 25 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 1.6.5-2
- Remove redundant files

* Sun Feb 18 2024 cunshunxia <cunshunxia@tencent.com> - 1.6.5-1
- Upgrade to version 1.6.5 for CVE-2024-24575.

* Thu Nov 09 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.5-1
- upgrade to 1.4.5
- fix CVE-2023-22742

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 1.4.4-1
- initial build
